Subject: Re: GSoC intro

From: Florian Achleitner <[email-masked]>
Date: Wed, 21 Mar 2012 22:16:27 +0100

Hi!

After the exam today, I started to dig into the topic a little.
So I accumulated some questions ..

On Wednesday 21 March 2012 00:19:41 David Barr wrote:
> Much of the progress so far has been merged into master.
> Still outstanding are some of Dmitry's patches:
> remote-svn-alpha_v2 [1]
> svn-fe-options_v7 [2]

I tried to find svn-related parts in gits sources. I found:
 - the huge ./git-svn.perl, which seems to be the git-svn implementation.
 - ./contrib/svn-fe/ and ./vcs-svn/, 
those you pointed me at.
Did I miss something?
Is there any seperate source documentation? The source files I looked at 
contain only very few comments. And nothing about the big picture.
I built make doc, but it seems it's mostly user documentation.

> Yes, that's the plan. To be fair, it is a stretch goal. Two GSoC
> students have brought us as far as a read-only remote helper. So I
> think there's at least two summers' worth of work remaining.

What is the remote helper? How can I use/try it?
> [1] https://github.com/divanorama/git/tree/remote-svn-alpha_v2
Is it in here? Should my project continue on this work?
Until now, I've never used any remote that was not git.

> > About me and GSoC
> > In summer 2010 I participated in GSoC for hugin writing a
> > Makefile-creation library in C++, which is used to drive the panorama
> > creation [1]. It was a great experience and a cool, successful summer
> > job! ( and it was merged in hugin's master branch :-) )
> > 
> > [1] http://hugin.hg.sourceforge.net/hgweb/hugin/hugin/branches branch:
> > gsoc2010_makefilelib (unfortunately the web fronted doesn't display a
> > specific branch)
> 
> A track record is a plus.

If you like, I could provide more references, e.g. a university course project 
in C using git.

> Some extra reading:
> [...]
Haven't yet read it.

Hm, and there are still some general questions:
What about git-svn? Whats wrong with it? (I haven't used it) I saw the huge 
perl script, this looks a little extreme ;). But it provides bi-directional 
access?!

svn-fe reads a dump of the svn repo. How can this approach ever be 
bidirectional? Probably I've to do the extra reading first .. 

-- 
Florian